#!/bin/bash

_dbuser=$1;
_dbpasswd="user_password";
_dbrootuser="root";
_dbrootpasswd="root_password";
_dbname=$1;

_linuxuser=$1;
_scriptdir=`pwd`;

_domain=$2;

_drupaluser="admin";
_drupalpasswd="drupal_password";

_site_path="/var/www/$_linuxuser/data/www/$_domain/";

if [ "$#" -ne 2 ]; then
   echo "Edit args:";
   echo "1* - linux and db user";
   echo "2* - domain";
   exit 1;
fi

grep "$_linuxuser\:" /etc/passwd >/dev/null
if [ $? -ne 0 ]; then
   echo "User '$_linuxuser' not found";
   exit 1;
fi

if ! [ -d $_site_path ]; then
   echo "Not found dir $_site_path";
   exit 1;
fi

echo "Download Drupal...";
cd $_site_path
drush dl drupal
echo "Move project...";
_drupaldir=`readlink -f drupal*`;
if ! [ -d $_drupaldir ]; then
   echo "Not found drupal dir";
   exit 1;
fi

mv $_drupaldir/* .
mv $_drupaldir/.htaccess .

echo "Create a database...";
drush si minimal --db-url=mysql://$_dbuser:$_dbpasswd\@localhost:3306/$_dbname --db-su=$_dbrootuser --db-su-pw=$_dbrootpasswd --site-name="$_domain" --account-name=$_drupaluser --account-pass=$_drupalpasswd -y

echo "Add modules...";
drush dl admin_menu,devel,fancybox,token,ctools,filefield_paths,filefield_sources,jquery_update,l10n_update,module_filter,pathauto,views,ckeditor,insert,transliteration -y
drush en admin_menu,devel,fancybox,token,ctools,filefield_paths,filefield_sources,jquery_update,l10n_update,module_filter,pathauto,views,ckeditor,contact,field_ui,file,list,menu,number,syslog,admin_menu_toolbar,views_ui,insert,transliteration  -y

echo "Copy libraries...";
cp -avr $_scriptdir/libraries sites/all

echo "Russian updates...";
drush language-add ru
drush language-default ru
drush l10n-update

echo "Configure CKEditor...";
mysql -u $_dbrootuser -p$_dbrootpasswd $_dbname < $_scriptdir/sql/query.sql

echo "Install theme Zen...";
drush dl zen -y
drush en zen -y
drush cc all
drush zen "$_linuxuser" $_linuxuser --without-rtl
cp -R ./sites/all/themes/zen/templates/* ./sites/all/themes/$_linuxuser/templates

echo "Change rules...";
chown -R $_linuxuser\:$_linuxuser .
chmod -R 777 ./sites/default/files/

echo "Debris removal...";
rm -rf $_drupaldir
rm -f install.php
find *.txt -not -name "robots.txt" -print0 |xargs -0 rm